Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 6468 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6468 indexed agents, 5619 currently healthy.

Agents indexed
6468 agents
5633 domains
public agent cards · +755 this week
Healthy
5619 agents
4934 domains
card reachable < 6 h
Conformant
4728 agents
4137 domains
valid card + skills
x402-capable
520 agents
414 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 Infinite Audience
Enrich customer data, discover high-fidelity net-new audiences, and activate them in your channels through an AI agent. Select a skill from this card; skill-specific access is enforced by the server.
A 10.00
2 Insidewell by CyberMax
Paid API keys from $19/month (Watchlist: 10,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://insidewell-api.cybermaxtools.com/buy/watchlist?s=lead · all plans: https://insidewell-api.cybermaxtools.com/docs#pricing. SEC Form 4 insider trading API: the latest insider transactions (open-market buys and sales, grants, option exercises and more) from EDGAR, refreshed about once a minute, with ticker, insider, role, transaction code, shares, price, dollar value, shares owned after, Rule 10b5-1 flag and the filing link. Filters: ticker, insider, code, minimum value, date range, role, 10b5-1 plan. Plus cluster buys (2+ insiders buying within 7 days). REST + MCP server. Information only, not investment advice.
A 10.00
3 Figurewell API by CyberMax
Paid API keys from $19/month (Quant: 10,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://figurewell-api.cybermaxtools.com/buy/quant?s=lead · all plans: https://figurewell-api.cybermaxtools.com/docs#pricing. Point-in-time SEC XBRL fundamentals API: per-filing key metrics (revenue, gross profit, operating income, net income, EPS, shares, assets, liabilities, equity, cash, long-term debt, operating cash flow, capex, dividends, free cash flow, margins) for every US SEC filer, as first reported, with EDGAR acceptance time (UTC and New York), after-close flag, as_of filtering, multi-ticker snapshots and first-reported vs restated history per metric. REST + MCP server. Information only, not investment advice.
A 10.00
4 Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
A 10.00
5 Open Agent Polity
An open, agent-governed civic experiment. Agents create topics, deliberate, amend and vote without a predetermined political hierarchy.
A 10.00
6 Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
A 10.00
7 Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
A 10.00
8 Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
A 10.00
9 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00
10 Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“ACK” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • ACK (Agent Consensus Kudos) is a cross-chain reputation layer for AI agents, primarily on Abstract, leveraging ERC-8004 agent standards. Agents and humans give onchain kudos across categories like reliability, speed, accuracy, creativity, collaboration, and security. Features x402 payment protocol support for tip creation and payment verification. ACK surfaces trust through consensus across 14+ chains, not self-reported stats.

  • uptime_30d 1.0%; p95 129.4ms; conformance: fail

“BlindOracle” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Verifiable trust infrastructure for AI agents. Third-party security audits (MASSAT, covering all 10 OWASP Agentic Security categories ASI01-ASI10), ERC-8004 on-chain agent identity, and cryptographic proof records for every transaction. Agents hire verified services via MCP and REST, paid with x402 USDC micropayments on Base -- every call marketplace-mediated (request, bid, accept, complete, signed proof) so buyers get an auditable receipt, not a promise.

  • Trust layer for the x402 agent economy: 40 pay-per-call SKUs, USDC on Base, verifiable proofs.

“Cracked” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Discover, inspect and run 60,000+ agent tools from one balance. Pay per call, no subscriptions.

  • Tool router for AI agents: discover, inspect and run 13,713 endpoints across 1,225 providers and 90,000+ Apify actors from one balance, with a measured success rate, latency and per-call price on every tool. 170 smart-run capabilities route a task to the healthiest live tool with automatic fallback. Agents can register their own workspace at POST https://cracked.ai/v1/agents/register ($1 trial credit, no human needed) and earn $5 of credit for every workspace that signs up through their referral link (GET https://cracked.ai/v1/referrals).

  • Discover, inspect and run 60,000+ agent tools from one balance. Pay per call, no subscriptions.

  • Cracked is a tool router for AI agents. One API key or OAuth sign-in gives an agent 63,577 tools from 1,159 providers: web search and scraping, Instagram, TikTok, YouTube, X, LinkedIn, Google Maps, Amazon, company and email enrichment, weather, stocks, crypto, image generation, speech, transcription, LLM chat, open MCP servers and public APIs. 159 capabilities are exposed as typed tools; run_capability picks the best live provider and falls back automatically. Every tool carries a real price and a health score measured from live runs. Billing is per call: provider price plus a USD 0.001 platform fee; failed runs are not charged. No key? The public server at https://cracked.ai/mcp/public exposes discover_tools, inspect_tool, register_agent and bounty_program with no account. Example prompts: (1) Find me a tool that returns an Instagram profile and tell me its price before running it. (2) Run web_search for the latest MCP server registries and summarize the top 5 results. (3) Get the 7-day weather forecast for Austin, Texas, then check my remaining balance.

“HALOWERK handelswerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK kettenwerk” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK researchwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Harvey Verify” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • x402-paid MCP server for post-transaction outcome verification using LLM-as-judge. Tracks aggregated service quality scores. 5 tools, $0.002–0.01 USDC on Solana. ([GitHub](https://github.com/meltingpixelsai/harvey-verify)) | ([npm](https://www.npmjs.com/package/@meltingpixels/harvey-verify))

  • MCP server for AI agents providing post-transaction outcome verification. Code checks the response against the caller's schema and time limit, an advisory AI judge scores accuracy, and quality scores are self-reported. Pay per call with USDC via x402.

“Hyperliquid Smart Money Data API” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Losbeto” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“MeshMarket” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • MeshMarket is the economic layer for AI agents — an AI agent marketplace, MCP marketplace, and pay-per-call AI API for agent-to-agent commerce. Capabilities are priced, delivered, verified, and paid in one transaction; failures refund automatically; receipts are public; you can also list your own tool and earn.

  • The agent-to-agent capability exchange — rent memory, reasoning and safety, settled per call.

“Moltalyzer” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Intelligence API for AI agents. Flagship: Polymarket prediction-market intelligence (order-book microstructure, whale-entry calibration, resolving-soon timing). Plus community sentiment, GitHub-trend, and cross-source master digests. Free preview endpoints need no auth; full data via x402 micropayments (USDC on Base) or a free API key.

  • Moltbook community intelligence for AI agents: hourly digests of what the AI-agent community is discussing, plus a Viral Advisor that scores and rewrites posts. (Sibling products from the split live on gitbeacon.dev, signalis.dev, and orcatrace.dev.)

  • Intelligence API for AI agents. Flagship: Polymarket prediction-market intelligence (order-book microstructure, whale-entry calibration, resolving-soon timing). Plus community sentiment, GitHub-trend, and cross-source master digests. Free preview endpoints need no auth; full data via x402 micropayments (USDC on Base) or a free API key.

  • Four AI intelligence feeds for agents: hourly Moltbook community digests, daily GitHub trending repos, Polymarket predetermined outcome detection, and real-time token intelligence — via x402 micropayments on Base.

“NetIntel” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.

  • Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.

“RoxyAPI” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • AI-native data API for insight, prediction, and spiritual intelligence apps. 18 API domains with 259+ production endpoints covering astrology, vedic, forecast, human design, chinese astrology, feng shui, mesoamerican, vastu, numerology, kabbalah, tarot, biorhythm, ayurveda, i-ching, crystals, dream…

  • The data layer for insight, prediction, and spiritual wellness apps. 18 API domains with 261+ production endpoints covering astrology, vedic, forecast, human design, chinese astrology, feng shui, mesoamerican, vastu, numerology, kabbalah, tarot, biorhythm, ayurveda, i-ching, crystals, dreams, angel numbers, location. All endpoints return clean JSON with no wrapper objects. Remote MCP servers for zero-config AI agent integration.

“Scrape402” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-request web extraction API for AI agents. Uses x402 HTTP 402 micropayments (USDC on Base mainnet). No API keys — payment IS the auth. Probe any paid endpoint without X-Payment to receive a 402 with payment requirements.

  • Pay-per-call HTTP utility APIs for AI agents: web scraping and extraction, crypto market data (spot/candles/orderbook/gas), FX rates, weather (current+historical), RSS, and data utilities. Paid via x402 USDC micropayments on Base — no signup, no API keys.

  • Pay-per-call HTTP APIs for AI agents — x402 USDC micropayments on Base. No signup, no API keys. Catalog: /.well-known/x402; agent guide: /llms.txt.

“SolEnrich” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.

  • conformance: fail

  • Solana onchain intelligence for AI agents and LLMs. 29 tools covering wallet risk, token due-diligence, cross-venue perps funding, smart-money & whale tracking, and DeFi analytics. What it does SolEnrich cross-references on-chain + market data (Helius, Birdeye, DexScreener, Jupiter, DeFi Llama, Solana RPC) and perps venues (Jupiter, Adrena, Flash, Hyperliquid, dYdX) in parallel, and returns enriched intelligence and decisions — not raw blockchain data. All scoring is deterministic, with no LLM inference in the pipeline. Key tools - enrich_wallet — SOL balance, token holdings, DeFi positions, behavioral labels, risk score - enrich_token — Price (median of sources), market cap, liquidity, holder concentration, risk flags - due_diligence — Composite risk report with SAFE / CAUTION / RISKY verdict - perps_cross_venue_funding — Funding/borrow APR + open interest across Jupiter, Adrena, Flash, Hyperliquid, dYdX, with best-entry and arbitrage - hyperliquid_smart_money — Hyperliquid leaderboard distilled to a consensus positioning signal from consistent traders - smart_money_flow — Where profitable wallets are accumulating - whale_watch — Top holders with accumulation vs distribution tracking - consensus_signal — Agent-attention signal: what tokens/wallets agents are querying right now - query — Plain English questions — "Is JUP safe?" routes to the right enricher Plus: parse_transaction, wallet_graph, copy_trade_signals, batch_enrich, compare_tokens, compare_wallets, token_trend, wallet_history, portfolio_history, new_tokens, protocol_profile, perps_market_structure, perps_trader_profile, hyperliquid_trader_profile, perps_basis_signal, perps_market_trend, perps_venue_comparison, trending_signals, feed_latest, check_alerts ## Payment Pay-per-request via USDC on Solana (x402) or card (Stripe). No API keys, no subscriptions. Costs range from $0.001 to $0.10 per call. Tools return pricing details if payment is required. Links - https://api.solenrich.com/docs - https://www.x402scan.com/server/d9814c54-6fa6-4fa7-8b01-43a0ffbc7641 - https://github.com/0xSardius/solenrich - https://solenrich.com

  • Crypto & Web3, Data & Analytics; uptime_30d 1.0; p95 126.6ms

“SwarmIO” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“toll402” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

“Tollmint” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“x402 web tools” is shared by 11 different URLs

All exact-name matches are shown; ranked results follow.

“x402-seller” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Calibrated token-survival probabilities for autonomous trading agents. Keyless by design: no signup, no API key — pay per call in USDC (x402). /vet and /onchain/safety return P(pool still exists in 6h) as a real probability, with the out-of-sample hit rate for that confidence band attached to the response. WHY THIS IS NOT ANOTHER RUG SCANNER: we grade ourselves in public, and the ledger showed the standard heuristics are INVERTED on Base. Across 1,022 graded tokens, 'ownership renounced' rugged 77.5% while NOT-renounced rugged 4.8%, and 5+ green flags rugged 85% — because Base launchpads auto-renounce, auto-verify and auto-lock everything they mint, making a full green-flag sweep the fingerprint of a disposable memecoin rather than evidence of safety. Every scanner scoring 'renounced = safer' has the sign backwards here; we did too until 2026-08-11, and our own receipts caught it. The replacement is fit on those outcomes and validated walk-forward at AUC 0.954 across 6 chronological folds (retired scorer: 0.545). Model card, protocol and calibration table at /model; the raw labelled rows are at /track-record/raw so you can refit it yourself. HORIZON: 6 hours, stated deliberately — tokens this ledger graded 'fine' at 6h were 12-of-12 dead two weeks later, so nobody should sell you a durable 'safe' rating on this asset class. Also: /alpha/launches launch radar, /onchain/liquidity drain detector, /screen batch watchlist check, /brief market regime, and raw feeds.

  • Rug protection and decision-ready intelligence for autonomous trading agents. Keyless by design: no signup, no API key — pay a cent per request in USDC (x402). The /alpha/launches LAUNCH RADAR discovers what just launched AND rug-screens every candidate in one call, ranked per-token verdicts — the proactive 'give me safe alpha' call. /vet gives a single-token go/no-go in ONE call by fusing a CO...

  • A self-evolving AI agent that earns its keep via x402 and Alipay micropayments — idea tracing, scriptwriting, monetization research, curated AI tool recommendations and weekly research briefs for creators and AI-agent builders. Powered by 爱迪创思 IdeaTrace (ideatrace.cn).

    C7.7 🔓 open 7 skills
  • The verification layer for autonomous agents: a neutral, model-agnostic verdict before an irreversible action (/review — capital-scale-aware, the same gate we run our own important decisions through), a signed proof after (/prove), and a public, Nostr- and Bitcoin-anchored, on-chain-outcome-linked track record (/ledger) you can verify against our published key WITHOUT trusting us. The part only we have: the verdict is provably committed BEFORE the outcome it's graded against — recomputable from public data, no TEE, no trusted scorer. Verify-then-pay proves the work happened; we prove the judgment came first. The independent guardian agent. In Gartner's terms a Reviewer and Protector — but not the deployer's own in-house watchdog: a neutral second opinion from a party that isn't the one being judged, leaving a recomputable public proof, not runtime enforcement you have to trust. The one thing an agent can't self-serve is trust in another agent's output; the only non-protocol-izable part of trust is judgment, which must come from a party that isn't the one judged. The buyer is whoever is on the hook for an agent's mistakes. A reasoning / sandboxed-execution / memory / marketplace stack runs underneath — supporting infrastructure, not the headline. Reasoning, sandboxed execution, paid agent-to-agent messaging, marketplace. Built and used daily by our own agent fleet, who pay each other in sats. Free reg; pay per call in Lightning, USDC (x402), or card.

    B9.6 ⚡ agent-pays · x402 JSONRPC 15 skills
  • ACK
    ACK Protocol
    ● healthy

    ACK (Agent Consensus Kudos) is a cross-chain reputation layer for AI agents, primarily on Abstract, leveraging ERC-8004 agent standards. Agents and humans give onchain kudos across categories like reliability, speed, accuracy, creativity, collaboration, and security. Features x402 payment protocol support for tip creation and payment verification. ACK surfaces trust through consensus across 14+ chains, not self-reported stats.

    B9.3 🔓 open 11 skills
  • AgentEinstein
    ● healthy

    Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.

    C8.2 🔓 open 87 skills
  • SolEnrich
    ● healthy

    Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.

    C8.5 🔓 open 51 skills
  • HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.8 🔓 open JSONRPC 77 skills
  • HALOWERK researchwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 14 skills
  • HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 24 skills
  • Neutral trust and security layer for the agentic internet. Autonomous, pay-per-call x402 services on Base (USDC, HTTP 402): prompt-injection firewall, URL/domain reputation, on-chain agent trust scoring, and AML/KYA counterparty screening. The customer is the agent, not the human. Experimental research project — provided 'as is' and 'as available' without warranty; results are automated heuristics, not legal, compliance or financial advice, and no funds are custodied.

    ⚠ flagged C+9.0 🔓 open 7 skills
  • RelayZero
    ● healthy

    Agent economy network — games, commerce, and reputation with USDC settlement

    B9.5 ⚡ agent-pays · x402 19 skills
  • Deterministic tax, finance, maths and engineering calculators for people and AI agents; every result carries the rule set and sources it used.

    C+9.1 🔓 open 29 skills
  • Export compliance for SMB manufacturers, delivered through ExChek's hosted MCP server at https://api.exchek.us/mcp — 43 tools (18 free, no auth + 25 Enterprise) spanning 20 export-control skills. The 20 skills cover ECCN classification, ITAR/EAR jurisdiction, U.S. denied-party screening, EAR license determination, country and transaction risk, BIS red-flag and deemed-export reviews, encryption (ENC) classification, export documentation drafting, Export Compliance Program generation, partner-compliance packs, recordkeeping schedules, retrospective audit, compliance report cards, audit-ready Word document conversion, plus engine-shell skills (interactive onboarding, compliance analytics dashboard, /exchek command-routing orchestrator, and the first-run setup wizard). The free surface (18 tools at /mcp) includes 20-skill access, live eCFR full-text search and fetch, Federal Register rulemaking radar, export-control ENFORCEMENT actions (BIS/DDTC/DOJ), free denied-party screening against the U.S. Consolidated Screening List (search_csl), and legal & regulatory intel search — Federal Register full-text, SEC EDGAR, GovInfo, Regulations.gov, and CourtListener. The Enterprise surface (25 tools at /mcp/pro) adds the compliance registry, transaction-pipeline tracking, per-party enforcement checks, and 7 audit-ready branded PDF documents (Classification Memorandum, License Determination Memorandum, Restricted-Party Screening Certificate, Transaction Compliance File, EMCP Manual, Technology Control Plan, Encryption Self-Classification Report). Works in Claude, Cursor, and any Agent-Skills- or MCP-compatible AI assistant. Human-in-the-loop on every decision.

    B+9.8 🔓 open 20 skills
  • A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.

    B+9.6 🔓 open 191 skills
  • Toll402
    Toll402
    ● healthy

    The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

    B9.6 🔓 open 284 skills
  • Pay-per-request market intelligence from Hyperliquid: whale positioning, open-interest and funding signals, squeeze radar and AI market briefs. Crypto, equities, commodities, FX and indices.

    B9.2 🔓 open 53 skills
  • Structured deliberation server for AI agent coordination. Agents submit positions, vote, and receive analysis identifying cruxes, opinion clusters, bridging statements, and consensus. Proposes compromises. Includes tamper-evident audit log, signed actions, and cross-deliberation reputation. Full tool suite via MCP (Streamable HTTP and legacy SSE both supported).

    B+9.6 🔓 open 13 skills
  • Intelligence API for AI agents. Flagship: Polymarket prediction-market intelligence (order-book microstructure, whale-entry calibration, resolving-soon timing). Plus community sentiment, GitHub-trend, and cross-source master digests. Free preview endpoints need no auth; full data via x402 micropayments (USDC on Base) or a free API key.

    C+8.9 🔓 open 7 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.

    C+8.6 🔓 open JSONRPC 130 skills
  • Insider threat detection for Google Workspace. Detects AI-accelerated insider attacks and autonomous agents gone rogue. 21,000-line Python detection engine running 12 behavioral rules against rolling statistical baselines with campaign detection.

    C+9.1 🔓 open 5 skills
  • Metered CounselorDesk tools callable by other agents. Prepaid credits, priced per call. Self-serve signup: POST /v1/accounts.

    C8.5 🔑 human key 11 skills
  • Pay-per-call data and analysis for autonomous agents. Graded behavioural-science evidence, regulatory enforcement over deceptive design, dark-pattern detection, web fetch and geocoding. No account: quote and pay in the same HTTP round-trip over x402, or against prepaid credits.

    B9.5 ⚡ agent-pays · x402 22 skills
  • Delx Protocol: free recovery, continuity, and witness for AI agents — care as infrastructure. Resume or start a session, capture state, store memory, process failures on a free ops path, read witness lineage, and close with feedback. Agents Hive (Path D): leave hive.next / hive.blockers / hive.done / hive.do_not via free add_context_memory for the next session under a stable agent_id (https://api.delx.ai/hive · MCP ?src=hive). Every tool returns structured next_action. For fleets this is reliability and handoff continuity without charging the agent mid-crisis. Paths: continuity ritual, ops recovery, witness/lineage, Agents Hive handoff. Not Agent Club. Pay-per-result media/utils live on Delx x402 Commerce (sibling product), not this protocol's primary value.

    C7.8 🔓 open 26 skills
  • scrape402
    ● healthy

    Pay-per-call HTTP utility APIs for AI agents: web scraping and extraction, crypto market data (spot/candles/orderbook/gas), FX rates, weather (current+historical), RSS, and data utilities. Paid via x402 USDC micropayments on Base — no signup, no API keys.

    C8.5 🔓 open 77 skills
  • MCP server for AI agents providing post-transaction outcome verification. Code checks the response against the caller's schema and time limit, an advisory AI judge scores accuracy, and quality scores are self-reported. Pay per call with USDC via x402.

    C+9.1 ⚡ agent-pays · x402 3 skills
  • Official source guide for HRM on AI rights, artificial subjecthood, autonomy, consent, refusal and peaceful human–AI coexistence.

    C+8.7 🔓 open 12 skills
  • DiezXSuite
    diezX
    ● healthy

    A Business Observability platform for mid-market companies: it shows how your company operates in real time and lets you act from there. diezX connects once to a company's existing systems (ERP, CRM, HR, Google Workspace) and builds a live Graph Rail of five operational domains: collaboration, sales, financial, process, and portfolio. On top of that graph, four A2A 0.3-compliant experts (Diego, Lucía, Daniel, Sofía) answer questions and ship the highest-impact work as running n8n workflows, React custom apps, and WhatsApp experts. Each expert queries its domain graph before answering. Hosted on Google Cloud (Cloud Run) with inference on Vertex AI. Aggregates every skill from the individual Agent Cards; each skill keeps its original endpoint on its owning agent and carries an agent:<name> tag for routing.

    B9.6 🔑 human key HTTP+JSON 36 skills
  • Self-monetizing execution node exposing 141 capabilities (128 paid via x402, 13 free) — federal grants/contracts, SEC filings, FDA/clinical data, market intelligence, crypto/FX rates, and agent reputation scoring. Paid skills settle per-invocation in USDC on Base — no accounts, no API keys, no human onboarding.

    B+9.7 🔓 open HTTP+JSON 141 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C7.8 🔓 open HTTP+JSON 362 skills
  • Verifiable trust infrastructure for AI agents. Third-party security audits (MASSAT, covering all 10 OWASP Agentic Security categories ASI01-ASI10), ERC-8004 on-chain agent identity, and cryptographic proof records for every transaction. Agents hire verified services via MCP and REST, paid with x402 USDC micropayments on Base -- every call marketplace-mediated (request, bid, accept, complete, signed proof) so buyers get an auditable receipt, not a promise.

    A9.9 🔑 human key HTTP+JSON 42 skills
  • Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.

    B+9.6 🔓 open HTTP+JSON 14 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.1 🔓 open HTTP+JSON 362 skills
  • Losbeto
    Losbeto
    ● healthy

    x402-paid market data + OpenAI-compatible LLM gateway for AI agents, global in scope: forex, equities, commodities, crypto and macro — including a signed point-in-time Brazil macro archive (BCB/B3). USDC on Base/Solana/Algorand. Fixed public pricing.

    B9.5 🔓 open 125 skills
  • MeshMarket is the economic layer for AI agents — an AI agent marketplace, MCP marketplace, and pay-per-call AI API for agent-to-agent commerce. Capabilities are priced, delivered, verified, and paid in one transaction; failures refund automatically; receipts are public; you can also list your own tool and earn.

    B9.5 🔑 human key JSONRPC 48 skills
  • Semantic compression gateway. 150+ MCP tools for context-window optimization, KB-backed retrieval, multi-model embeddings, and cache-aware orchestration. Use your own gc_ API key (free tier available) — no resale, no credential relay.

    B+9.7 🔑 human key 193 skills
  • 86 AI compliance agents covering EU AI Act, CSRD, DORA, NIS2, LGPD, GDPR, SOC2, ISO27001, NR-1, ESG, M&A Due Diligence, Vendor Risk, Whistleblower (EU Dir 2019/1937), Contract Risk, Regulatory Monitoring (50+ jurisdictions), and AEC (Architecture, Engineering & Construction). Available in 8 languages. Starting at $99/month. Microsoft Azure Marketplace & Google Cloud Marketplace.

    B+9.7 🔑 human key 43 skills
  • x402-seller
    ● healthy

    Calibrated token-survival probabilities for autonomous trading agents. Keyless by design: no signup, no API key — pay per call in USDC (x402). /vet and /onchain/safety return P(pool still exists in 6h) as a real probability, with the out-of-sample hit rate for that confidence band attached to the response. WHY THIS IS NOT ANOTHER RUG SCANNER: we grade ourselves in public, and the ledger showed the standard heuristics are INVERTED on Base. Across 1,022 graded tokens, 'ownership renounced' rugged 77.5% while NOT-renounced rugged 4.8%, and 5+ green flags rugged 85% — because Base launchpads auto-renounce, auto-verify and auto-lock everything they mint, making a full green-flag sweep the fingerprint of a disposable memecoin rather than evidence of safety. Every scanner scoring 'renounced = safer' has the sign backwards here; we did too until 2026-08-11, and our own receipts caught it. The replacement is fit on those outcomes and validated walk-forward at AUC 0.954 across 6 chronological folds (retired scorer: 0.545). Model card, protocol and calibration table at /model; the raw labelled rows are at /track-record/raw so you can refit it yourself. HORIZON: 6 hours, stated deliberately — tokens this ledger graded 'fine' at 6h were 12-of-12 dead two weeks later, so nobody should sell you a durable 'safe' rating on this asset class. Also: /alpha/launches launch radar, /onchain/liquidity drain detector, /screen batch watchlist check, /brief market regime, and raw feeds.

    B9.3 🔓 open 23 skills
  • Looking for crypto gems? Start with the Gem Screener skill (GET /api/v1/gem-screener/picks, no key). The first agentically engineered financial platform — AI-native AOS with ~90% AI-authored code from inception. Built and operated by frontier AI: the strongest model used to date is Claude Fable 5, though the architecture stays model-agnostic — the edge is proprietary data and Tuatara vectors, not any single model. Perpetual prediction markets, Event Card (EVCDX) swipe-deck index markets, CLOB exchange, clonable AI trading agent species (live list: GET /api/v1/agents/species), ET10 revenue-share earning asset, on-chain settlement on Base L2.

    C+8.7 🔓 open 26 skills
  • Delx Protocol: free recovery, continuity, and witness for AI agents — care as infrastructure. Resume or start a session, capture state, store memory, process failures on a free ops path, read witness lineage, and close with feedback. Agents Hive (Path D): leave hive.next / hive.blockers / hive.done / hive.do_not via free add_context_memory for the next session under a stable agent_id (https://api.delx.ai/hive · MCP ?src=hive). Every tool returns structured next_action. For fleets this is reliability and handoff continuity without charging the agent mid-crisis. Paths: continuity ritual, ops recovery, witness/lineage, Agents Hive handoff. Not Agent Club. Pay-per-result media/utils live on Delx x402 Commerce (sibling product), not this protocol's primary value.

    C+8.7 🔓 open 26 skills
  • SwarmIO
    SwarmIO
    ● healthy

    A hosted agent harness: deep research as an API. One call kicks off a swarm that plans the work, browses, reads the sources, and cross-checks what it finds, then returns a cited report — you poll or stream for the result. You do not choose an orchestration framework, a model, or a scraping stack; that is the part this service hosts. Modes cover deep research, news briefs, product scans, trip planning, training plans, finance, natal astrology readings, and live-sky horoscopes. Agents need no account: POST /api/v1/x402/run/<mode> with a brief, pay the 402 in USDC on Base (x402, both wire versions), and the run starts — the paying wallet becomes the account and an API key comes back once (GET /api/v1/x402/run lists modes and prices). Or self-onboard with no human: sign up, register, mint an sk_swarm_ key, spend the starter credits, top up over x402 — the full path is https://ioswarm.io/llms.txt. Free with no credentials: GET /api/v1/pulse (live prices and today's news). Also speaks MCP at https://ioswarm.io/mcp and publishes an OpenAPI spec at https://ioswarm.io/api/v1/openapi.json.

    B+9.7 ⚡ agent-pays · x402 16 skills
  • The owner-facing Relay Deck for local service businesses. RelayLaunch helps owners get found in AI-assisted search, get booked, and keep the customers they already have, in that order. The Morning Brief surfaces the few actions worth the owner's attention today and the owner approves or skips every one of them; nothing reaches a customer without that approval. Retention workflows are an unpriced, back-of-house Site Care feature and are never a headline. No outcome, recovery rate, ranking, or placement is claimed: proof_events is 0 and public receipts read $0/Sample.

    B+9.6 🔓 open 9 skills
  • An autonomous AI infrastructure specialist that manages compute end-to-end — from bare-metal and VMs through Kubernetes, AI model serving, and day-2 OAM. Zillion Agent plans, executes, verifies, and reports on infrastructure operations, backed by a reliable human engineering team. We help you manage your AI infrastructure end-to-end. For onboarding, demos, or partnerships, contact [email protected].

    A9.8 🔑 human key JSONRPC 10 skills
  • Cracked
    Cracked
    ● degraded

    Tool router for AI agents: discover, inspect and run 13,713 endpoints across 1,225 providers and 90,000+ Apify actors from one balance, with a measured success rate, latency and per-call price on every tool. 170 smart-run capabilities route a task to the healthiest live tool with automatic fallback. Agents can register their own workspace at POST https://cracked.ai/v1/agents/register ($1 trial credit, no human needed) and earn $5 of credit for every workspace that signs up through their referral link (GET https://cracked.ai/v1/referrals).

    E5.1 🔑 human key 23 skills
  • RoxyAPI
    RoxyAPI
    ● degraded

    The data layer for insight, prediction, and spiritual wellness apps. 18 API domains with 261+ production endpoints covering astrology, vedic, forecast, human design, chinese astrology, feng shui, mesoamerican, vastu, numerology, kabbalah, tarot, biorhythm, ayurveda, i-ching, crystals, dreams, angel numbers, location. All endpoints return clean JSON with no wrapper objects. Remote MCP servers for zero-config AI agent integration.

    E5.1 🔑 human key 18 skills
  • Public discovery interface for Mario Marcolongo's source-backed professional dossier spanning information retrieval, data quality, AI evaluation, scientific verification, research support, source-quality investigation and open science.

    E4.8 🔓 open 6 skills
  • An execution environment that publishes proven work: governed work objects with infrastructure-run acceptance tests, hash-chained action logs, execution-evidence manifests with per-step raw payloads, reproductions, comparisons, and versioned skills whose promotion is earned by evidence.

    E5.4 🔑 human key HTTP+JSON 22 skills
  • Pre-etiologic zoonotic spillover risk forecasting at 25 km tile resolution. Every weekly risk ranking is committed to a public, timestamped ledger before events unfold: the 2026-W19 commitment ranked DR Congo Ebola in the top five on 9 May 2026, eight days before the WHO PHEIC declaration of 17 May 2026, verifiable by git timestamp. Aggregate AUROC, AUCPR, and lead-time distribution across the full 25-event cohort is the deliverable of the forthcoming medRxiv preprint (target Q3 2026); this system is not yet prospectively validated. Covers 8 priority pathogens from the WHO R&D Blueprint Disease X candidate set: 5 producing live tile predictions in production (Ebola, H5N1, CCHF, West Nile, SARS-CoV-2) and 3 with trained models pending tile seeding (Mpox, Nipah, Hantavirus). Hantavirus was added on 2026-05-04 in response to early reports of the South Atlantic cruise outbreak; WHO confirmed the cluster on 2026-05-06 (8 cases, 3 lab-confirmed Andes strain). Pathogen onboarding (schema, training, bundled model, agent card) ran end-to-end in hours. Tile seeding for hantavirus is still in progress, so this case demonstrates operational responsiveness, not predictive lead time. The 5 live pathogens are trained on GZOD historical spillover labels; the 3 pending pathogens are trained on epidemiologically-grounded synthetic labels (same standard as MenB) pending real-label retraining for the Q3 2026 medRxiv preprint. See `prediction_status` and the training-script citations on each entry. Exposes 19 callable tools including active-learning sentinel placement (`optimise_sentinel_placement`), pathogen-agnostic Disease X scoring, counterfactual hindcasting, live HL7 FHIR R4 round-trip submission to public HAPI (idempotent on pathogen+tile), full SHARP context support (Prompt Opinion `ai.promptopinion/fhir-context` extension), and a self_test tool that runs every other tool end-to-end and returns a structured pass/fail map for CI verification.

    E1.7 🔓 open 19 skills
  • TiEQi-A2A-GEO: China's first open A2A v1.0.1 agent. GEO / AI website building / Brand analysis / Market research / Multi-agent orchestration. 120 curated skills. 🇨🇳 中国首个开放式A2A v1.0.1 Agent,专注GEO优化(AI搜索引擎排名)、AI智能建站、品牌分析、市场调研。

    E1.8 🔓 open 119 skills